Download shorten-7.x-1.4.tar.gztar.gz 24.29 KB
MD5: d2f034a6833b6751a813e7f3ec607044
SHA-1: 5e351d8b7b0096849abb4bc1c63d66e5d94a10d0
SHA-256: ab897ab94a573d93e15e81e93028161393c78600f6a37ea04f52ededbd7ba489
Download shorten-7.x-1.4.zipzip 32.81 KB
MD5: ed4702664c82f985853a6711a182241c
SHA-1: e7507de441f04d2581c2b1d856d247d8504d89e3
SHA-256: d961d94c4fe7c971df320647b9cf3deee7a4f9af808c7e185ff42c02d36a4093
Install with Composer: $ composer require 'drupal/shorten:^1.4'
Using Composer to manage Drupal site dependencies

Release info

Created by: IceCreamYou
Created on: 1 Sep 2014 at 02:03 UTC
Last updated: 1 Sep 2014 at 02:03 UTC
Core compatibility: 7.x
Release type: Bug fixes

Release notes

This release is exactly the same as 7.x-1.3 except that it fixes issue #2324925: Goo.gl and ShURLy shorteners broke in 7.x-1.3. If you weren't using the ShURLy module or the Goo.gl shortener, no changes in this release will affect you.

The reason those shorteners broke is because 7.x-1.3 started encoding URLs before shortening them, which makes sense when sending the URL as data to remote URL shorteners, but not when sending the URL directly. It turns out that Shorten URLs actually knows when the URL is being sent directly, so 7.x-1.4 fixes the issue by just not encoding the URL in that case.

Dependencies

The selected release is the release that will be used for automated testing. Optional projects are only used for testing.

Required

No required projects

Optional

No optional projects